Search Results for

Show / Hide Table of Contents

# Interface IInterstitialAd

Common properties for interstitial ad facade and platform-specific implementations.

##### Inherited Members

IDisposable.Dispose()
IAdUnit.PlacementID
IAdUnit.EndpointID
IMultiformattedAd.AdUnitFormats
IResizableAd.AdSizes
ISkippableAd.SkipButtonArea
ISkippableAd.SkipButtonPosition
ISkippableAd.SkipDelay
IMuteableAd.Muted
IMuteableAd.SoundButtonVisible
ICloseableAd.CloseButtonArea
ICloseableAd.CloseButtonPosition
IModalAd.Loaded
IModalAd.Show(Action)
ILoadableAd.LoadAd()
IAdEventSource.OnAdLoaded
IAdEventSource.OnAdFailed
IAdEventSource.OnAdClicked
IAdEventSource.OnAdClosed
IModalAdEventSource.OnAdDisplayed

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public interface IInterstitialAd : IDisposable, IAdUnit, IMultiformattedAd, IResizableAd, ISkippableAd, IMuteableAd, ICloseableAd, IModalAd, ILoadableAd, IAdEventSource, IModalAdEventSource